Bug 104221 - UI: Paragraph background color cannot be reset (set to NONE)
Summary: UI: Paragraph background color cannot be reset (set to NONE)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords: bibisected, bisected, regression
: 104366 105023 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-11-28 11:31 UTC by Cor Nouws
Modified: 2017-01-02 22:22 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot dialog Edit Paragraph Style - Background (80.62 KB, image/png)
2016-11-28 11:32 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2016-11-28 11:31:05 UTC
Test is simple:
create write file, add some words, set background color for paragraph style.
OK.
Edit style again, and try to set to none..
Doesn't work.
You can make it white..

Mind that when opened, the dialog doesn't match the current state of the style too; i.e. it doesn't show the applied color as such.

Will attach a screen shot.

Version: 5.3.0.0.alpha1+
Build ID: 883024d657fb45c7da459017d2f936aac5644bfb
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; Layout Engine: new; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-11-21_22:42:51
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 1 Cor Nouws 2016-11-28 11:32:46 UTC
Created attachment 129073 [details]
screen shot dialog Edit Paragraph Style - Background
Comment 2 Telesto 2016-11-28 11:55:33 UTC
Confirming with:
Version: 5.3.0.0.beta1
Build ID: 690f553ecb3efd19143acbf01f3af4e289e94536
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; Layout Engine: new; 
Locale: nl-NL (nl_NL); Calc: CL
Comment 3 Xisco Faulí 2016-11-28 12:11:19 UTC
Regression introduced by:

author	Katarina Behrens <Katarina.Behrens@cib.de>	2016-11-14 11:27:49 (GMT)
committer	Katarina Behrens <Katarina.Behrens@cib.de>	2016-11-14 14:33:16 (GMT)
commit	ada8a2123ea655142be74a11c23e042a0109d5f8 (patch)
tree	a00e2c7f18075e3f5703021c4ea2dbaf7484211b
parent	1e70553585af382c7da3f79a3edf29de56c2d6a1 (diff)
tdf#103228: Remember fill type when switching between tabs
This page used not to have exchange support, but it needs it now
since it contains all the fill type subtabs

Adding Cc: to Katarina Behrens
Comment 4 m.a.riosv 2016-12-03 16:04:49 UTC
*** Bug 104366 has been marked as a duplicate of this bug. ***
Comment 5 Commit Notification 2016-12-15 20:46:56 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c5079791f5d985151ebc090c5a07705e76a728e

tdf#104221: Make up for non-existent FillItemSet

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Katarina Behrens (Inactive) 2016-12-15 20:53:44 UTC
> Edit style again, and try to set to none..
> Doesn't work.
> You can make it white..

Is now fixed 

> Mind that when opened, the dialog doesn't match the current state of the
> style too; i.e. it doesn't show the applied color as such.

Is a separate issue, bug 103224
Comment 7 Commit Notification 2016-12-19 13:03:51 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=28ffaf79b993d05dd0775d0a14e83dc476c93bf1&h=libreoffice-5-3

tdf#104221: Make up for non-existent FillItemSet

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2017-01-02 22:22:13 UTC
*** Bug 105023 has been marked as a duplicate of this bug. ***